diff --git a/channels/chan_dahdi.c b/channels/chan_dahdi.c
index 4ce97eb..1aa6d6d 100644
--- a/channels/chan_dahdi.c
+++ b/channels/chan_dahdi.c
@@ -4597,6 +4599,7 @@ static void dahdi_handle_dtmfup(struct ast_channel *ast, int idx, struct ast_fra
 	struct ast_frame *f = *dest;
 
 	ast_debug(1, "DTMF digit: %c on %s\n", f->subclass, ast->name);
+	dahdi_confmute(p, 0);
 
 	if (p->confirmanswer) {
 		ast_debug(1, "Confirm answer on %s!\n", ast->name);
